import 'package:elevarm_ui/elevarm_ui.dart';
import 'package:flutter/material.dart';

class ElevarmThemeData {
  static ThemeData light() {
    return ThemeData.light().copyWith(
      primaryColor: ElevarmColors.primary,
      progressIndicatorTheme: const ProgressIndicatorThemeData(
        color: ElevarmColors.success,
        linearTrackColor: ElevarmColors.grey200,
        circularTrackColor: ElevarmColors.grey200,
        linearMinHeight: 8.0,
      ),
      colorScheme: const ColorScheme.light(
        primary: ElevarmColors.primary,
        secondary: ElevarmColors.success,
      ),
      outlinedButtonTheme: OutlinedButtonThemeData(
        style: OutlinedButton.styleFrom(
          foregroundColor: ElevarmColors.grey700,
          shape: const RoundedRectangleBorder(
            borderRadius: BorderRadius.all(Radius.circular(8.0)),
          ),
          side: const BorderSide(
            color: ElevarmColors.grey300,
          ),
          padding: const EdgeInsets.symmetric(
            horizontal: 16.0,
            vertical: 10.0,
          ),
        ),
      ),
      elevatedButtonTheme: ElevatedButtonThemeData(
        style: ElevatedButton.styleFrom(
          foregroundColor: Colors.white,
          backgroundColor: ElevarmColors.primary,
          shape: const RoundedRectangleBorder(
            borderRadius: BorderRadius.all(Radius.circular(8.0)),
          ),
          padding: const EdgeInsets.symmetric(
            horizontal: 16.0,
            vertical: 10.0,
          ),
          elevation: 0.0,
        ),
      ),
      textTheme: TextTheme(
        button: ElevarmFontFamilies.inter(
          fontWeight: ElevarmFontWeights.semibold,
          fontSize: ElevarmFontSizes.sm,
        ),
      ),
      // appBarTheme: const AppBarTheme(
      //   backgroundColor: AppColors.denimBlue,
      // ),
      // drawerTheme: const DrawerThemeData(
      //   backgroundColor: AppColors.denimBlue
      // ),
      // colorScheme:const ColorScheme.light(
      //   primary: AppColors.denimBlue,
      // ),
      // primaryColor: AppColors.denimBlue,
    );
  }
}
